package com.diaoyun.zion.chinafrica.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 实体
 * 表名 tb_cf_toicoupon
 *
 * @author lipengjun
 * @date 2019-11-22 19:32:08
 */
public class TbCfToicouponEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 发放/领取表id
     */
    private String toitableId;
    /**
     * 优惠券id
     */
    private String couponId;
    /**
     * 用户id
     */
    private String userId;
    /**
     * 开始时间
     */
    private Date startTime;
    /**
     * 结束时间
     */
    private Date endTime;
    /**
     * 标识(1发放，2领取，3注册)
     */
    private Integer identification;
    /**
     * 是否已使用(0已使用，1未使用)
     */
    private Integer enableFlag;

    /**
     * 设置：发放/领取表id
     */
    public void setToitableId(String toitableId) {
        this.toitableId = toitableId;
    }

    /**
     * 获取：发放/领取表id
     */
    public String getToitableId() {
        return toitableId;
    }
    /**
     * 设置：优惠券id
     */
    public void setCouponId(String couponId) {
        this.couponId = couponId;
    }

    /**
     * 获取：优惠券id
     */
    public String getCouponId() {
        return couponId;
    }
    /**
     * 设置：用户id
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /**
     * 获取：用户id
     */
    public String getUserId() {
        return userId;
    }
    /**
     * 设置：开始时间
     */
    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    /**
     * 获取：开始时间
     */
    public Date getStartTime() {
        return startTime;
    }
    /**
     * 设置：结束时间
     */
    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    /**
     * 获取：结束时间
     */
    public Date getEndTime() {
        return endTime;
    }
    /**
     * 设置：标识(1发放，2领取，3注册)
     */
    public void setIdentification(Integer identification) {
        this.identification = identification;
    }

    /**
     * 获取：标识(1发放，2领取，3注册)
     */
    public Integer getIdentification() {
        return identification;
    }
    /**
     * 设置：是否已使用(0已使用，1未使用)
     */
    public void setEnableFlag(Integer enableFlag) {
        this.enableFlag = enableFlag;
    }

    /**
     * 获取：是否已使用(0已使用，1未使用)
     */
    public Integer getEnableFlag() {
        return enableFlag;
    }
}
